Subject: bug#20471: Emacs ceased to respond to C-g on a tty; SIGINT became blocked?

From: Ivan Shmakov <[email-masked]>
Date: Mon, 04 May 2015 16:20:26 +0000

>>>>> Eli Zaretskii <[email-masked]> writes:
>>>>> From: Ivan Shmakov  Date: Mon, 04 May 2015 15:55:48 +0000
>>>>> Andreas Schwab <[email-masked]> writes:

[…]

 >>> A blocked signal would still be visible in the debugger

 >> It’s not what I observe.  Why, SIGINT seem to be ignored by GDB
 >> itself when it’s attached to that Emacs instance.

 >>> (assuming you haven't changed the handling of SIGINT in gdb).

 > Is this on a TTY frame?

	Yes.  FWIW, I use non-tty Emacs frames only occasionally.

 > If not, then C-g doesn't trigger a SIGINT in Emacs.

	Yes.  (I’ve already read that part in keyboard.c.)

PS.  GNU Screen is just so welcoming an environment I can’t give it up
	easily.

-- 
FSF associate member #7257  http://am-1.org/~ivan/      … 3013 B6A0 230E 334A